import { TourAnchorDirective, TourService, IStepOption } from 'ngx-ui-tour-core';
import { ElementRef, OnDestroy, OnInit } from '@angular/core';
export declare class TourAnchorConsoleDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private element;
    tourAnchor: string;
    constructor(tourService: TourService, element: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: IStepOption): void;
    hideTourStep(): void;
}
